Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QTextBoundaryFinder.BoundaryReason

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QTextBoundaryFinder.BoundaryReason

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTextBoundaryFinder

    public static final class QTextBoundaryFinder.BoundaryReason

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QTextBoundaryFinder.BoundaryReason` | `EndWord` The boundary finder is at the end of a word.
`static QTextBoundaryFinder.BoundaryReason` | `NotAtBoundary` The boundary finder is not at a boundary position.
`static QTextBoundaryFinder.BoundaryReason` | `StartWord` The boundary finder is at the start of a word.

Method Summary
`static QTextBoundaryFinder.BoundaryReasons` | `createQFlags(QTextBoundaryFinder.BoundaryReason[] values)` This function creates a com.trolltech.qt.core.QTextBoundaryFinder$BoundaryReasons with the specified `com.trolltech.qt.core.QTextBoundaryFinder$BoundaryReason[]` QTextBoundaryFinder$BoundaryReason values set.
`static QTextBoundaryFinder.BoundaryReason` | `resolve(int value)` Returns the QTextBoundaryFinder$BoundaryReason constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextBoundaryFinder.BoundaryReason` | `valueOf(java.lang.String name)`
`static QTextBoundaryFinder.BoundaryReason[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NotAtBoundary

    public static final QTextBoundaryFinder.BoundaryReason NotAtBoundary

  The boundary finder is not at a boundary position.

### StartWord

    public static final QTextBoundaryFinder.BoundaryReason StartWord

  The boundary finder is at the start of a word.

### EndWord

    public static final QTextBoundaryFinder.BoundaryReason EndWord

  The boundary finder is at the end of a word.

Method Detail

### values

    public static QTextBoundaryFinder.BoundaryReason[] values()

### valueOf

    public static QTextBoundaryFinder.BoundaryReason valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QTextBoundaryFinder.BoundaryReasons createQFlags(QTextBoundaryFinder.BoundaryReason[] values)

  This function creates a com.trolltech.qt.core.QTextBoundaryFinder$BoundaryReasons with the specified `com.trolltech.qt.core.QTextBoundaryFinder$BoundaryReason[]` QTextBoundaryFinder$BoundaryReason values set.

### resolve

    public static QTextBoundaryFinder.BoundaryReason resolve(int value)

  Returns the QTextBoundaryFinder$BoundaryReason constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD